
Name:           celluloid
Version:        0.26
Release:        %mkrel 1
Summary:        A simple GTK+ frontend for mpv
License:        GPLv3+
URL:            https://github.com/celluloid-player/celluloid
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz
Group:          Video
BuildRequires:  gcc
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(glib-2.0) >= 2.44
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.18
BuildRequires:  intltool >= 0.40.6
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(mpv) >= 1.20
BuildRequires:  lib64gtk+4.0-devel
BuildRequires:  lib64adwaita-devel
Requires:       yt-dlp >= 2021.11.10.1
Requires:       hicolor-icon-theme
Requires:       mpv
Requires:       gtk+4.0
#------------------------------------------
Obsoletes: gnome-mpv
Provides: gnome-mpv = %{version}-%{release}
#------------------------------------------

%description
Celluloid (formerly GNOME MPV) is a simple GTK+ frontend for mpv.
It aims to be easy to use while maintaining high level of configurability.

%prep
%setup -q

%build
export AR=%{_bindir}/gcc-ar
export RANLIB=%{_bindir}/gcc-ranlib
export NM=%{_bindir}/gcc-nm

%meson
%meson_build

%install
rm -rf %buildroot
%meson_install


%files
%{_bindir}
%{_datadir}

%clean
rm -rf %buildroot

%post
%update_menus
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%clean_menus
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Fri Sep 22 2023 tex - 0.26-1pclos2023
- new version
